# Swap File Creation Script

This script automatically creates a swap file on your system, allowing you to increase the available virtual memory. It calculates the optimal swap file size based on the available disk space, ensuring that the swap file does not exceed 30GB or 5% of the free disk space, whichever is smaller.

## Features

- Detects the main disk partition used by the system.
- Calculates the optimal swap file size (up to 30GB or 5% of the free space).
- Creates and activates a swap file at `/swapfile`.
- Optionally persists the swap file across reboots using the `--persist` flag.
- Displays the status of the created swap file.

## Usage

To use this script, you can execute it directly from the URL without downloading it.

### Execute Directly from URL

Run the script directly from the URL using `curl` and piping to `bash`:

```bash
curl -sSL https://git.nixc.us/colin/swap-increase/raw/branch/main/swap.sh | bash
```

### Persist the Swap File Across Reboots

To ensure the swap file is persisted across reboots, run the script with the `--persist` flag:

```bash
curl -sSL https://git.nixc.us/colin/swap-increase/raw/branch/main/swap.sh | bash -s -- --persist
```

## Output

The script will provide the following output:

- The calculated size of the swap file.
- Confirmation of swap file creation and activation.
- Whether the swap file will persist after reboot (based on the `--persist` flag).
- Information on the current swap status using `swapon --show`.

## Note

This script requires `sudo` privileges to create and activate the swap file, as well as to modify the `/etc/fstab` file for persistence across reboots when using the `--persist` flag.